Package org.apache.log4j.chainsaw.prefs

## Class MRUFileList

- java.lang.Object
- - org.apache.log4j.chainsaw.prefs.MRUFileList

-     public class MRUFileList
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addChangeListener​(ChangeListener listener)` |
    `List` | `getMRUList()` | Returns an unmodifiable List of the MRU opened file list within Chainsaw
    `static void` | `loadLog4jMRUListFromReader​(Reader reader)` |
    `static void` | `loadLog4jMRUListFromXML​(String xml)` |
    `static MRUFileList` | `log4jMRU()` |
    `void` | `opened​(URL url)` | Call this method when something opens a log file, this method adds the URL to the list of known URL's, automatically rolling the list to ensure the list maintains the size property
    `static void` | `removeChangeListener​(ChangeListener listener)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addChangeListener

          public static void addChangeListener​(ChangeListener listener)

    - #### removeChangeListener

          public static void removeChangeListener​(ChangeListener listener)

    - #### opened

          public void opened​(URL url)

      Call this method when something opens a log file, this method adds the URL to the list of known URL's, automatically rolling the list to ensure the list maintains the size property
      Parameters:
        `url` -

    - #### getMRUList

          public List getMRUList()

      Returns an unmodifiable List of the MRU opened file list within Chainsaw
      Returns:

    - #### log4jMRU

          public static MRUFileList log4jMRU()

    - #### loadLog4jMRUListFromXML

          public static void loadLog4jMRUListFromXML​(String xml)

    - #### loadLog4jMRUListFromReader

          public static void loadLog4jMRUListFromReader​(Reader reader)